Download it now!
Bug 135317 - CRASH: opening 'Animated Image' dialog (gtk3)
Summary: CRASH: opening 'Animated Image' dialog (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-30 12:23 UTC by Xisco Faulí
Modified: 2020-08-10 10:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb backtrace (6.83 MB, text/plain)
2020-07-30 14:30 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-07-30 12:23:09 UTC
Steps to reproduce:
1. Open Impress
2. Go to Insert - Media - Animated Image

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

not reproducible with gen
Comment 1 Xisco Faulí 2020-07-30 12:24:00 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=299e128b5175f4c3d794848ab51e81d14385a547

author	Caolán McNamara <caolanm@redhat.com>	2020-07-14 16:45:39 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-07-15 15:00:56 +0200
commit	299e128b5175f4c3d794848ab51e81d14385a547 (patch)
tree	b2af5ebbd9c2692e121f0b6ba064d34bfef60a1a
parent	0abbf64dc1ebe9f12523a69ce1cfd25fe189d869 (diff)
replace TimeSpinButton with FormattedSpinButton

Bisected with: bibisect-linux64-7.1

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2020-07-30 13:18:23 UTC
I have no crash in my local up-to-date build, and nothing if I try under valgrind either. Is there a backtrace ?
Comment 3 Julien Nabet 2020-07-30 14:04:28 UTC
Just for the record, I don't reproduce the crash too with master sources updated today + enable-dbgutil + gtk3.
Here are the only console logs I got:
warn:sfx.view:79753:79753:sfx2/source/view/viewfrm.cxx:3225: SID_SIDEBAR state requested, but no task pane child window exists for this ID!
warn:sfx.view:79753:79753:sfx2/source/view/viewfrm.cxx:3225: SID_SIDEBAR state requested, but no task pane child window exists for this ID!
warn:svl.items:79753:79753:svl/source/items/itempool.cxx:396: old secondary pool: EditEngineItemPool of pool: XOutdevItemPool must be empty.
Comment 4 Xisco Faulí 2020-07-30 14:30:11 UTC
Created attachment 163776 [details]
gdb backtrace
Comment 5 Caolán McNamara 2020-07-30 15:49:17 UTC
clearly a recurse until death situation
Comment 6 Caolán McNamara 2020-07-30 16:10:06 UTC
its possible that this doesn't happen in a non-dbgutil build or something like that
Comment 7 Caolán McNamara 2020-07-30 19:21:41 UTC
tried an optimized build and that didn't fail either, nevertheless I suspect that https://gerrit.libreoffice.org/c/core/+/99821 will solve it
Comment 8 Xisco Faulí 2020-07-30 19:53:41 UTC
(In reply to Caolán McNamara from comment #7)
> tried an optimized build and that didn't fail either, nevertheless I suspect
> that https://gerrit.libreoffice.org/c/core/+/99821 will solve it

I'm building LibreOffice right now, will give it a try as soon as it finishes
Comment 9 Commit Notification 2020-07-31 09:29:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/869ef9f2118158222032964a5b24ae7d760b84e9

tdf#135317 avoid reenterence

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2020-08-10 10:33:04 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!